Name:           gramps
Version:        1.0.10
Release:        1
Summary:        Genealogical Research and Analysis Management Programming System.

Group:          Applications/Productivity
License:        GPL
URL:            http://gramps.sourceforge.net/
Source0:        http://download.sourceforge.net/gramps/gramps-1.0.10.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gnome-python2
BuildRequires:  gnome-python2-canvas
BuildRequires:  gnome-python2-gconf
BuildRequires:  gnome-python2-gnomevfs
BuildRequires:  gnome-vfs2-devel
BuildRequires:  pygtk2
BuildRequires:  pygtk2-libglade
BuildRequires:  python-devel >= 2.2
BuildRequires:  scrollkeeper

Requires:       gnome-python2-canvas
Requires:       gnome-python2-gconf
Requires:       gnome-python2-gnomevfs
Requires:       gnome-python2
Requires:       ImageMagick
Requires:       pygtk2
Requires:       pygtk2-libglade
Requires:       python >= 2.2
Requires:       rcs
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.


%prep
%setup -q


%build
%configure --disable-schemas-install
make


%install
rm -rf ${RPM_BUILD_ROOT}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%makeinstall GNOME_DATADIR="${RPM_BUILD_ROOT}%{_datadir}"
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
rm -rf ${RPM_BUILD_ROOT}%{_localstatedir}/scrollkeeper
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/gnome/
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   	\
  --add-category X-Fedora                               \
  --add-category Utility                                \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
scrollkeeper-update -q ||:


%postun
scrollkeeper-update -q ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog FAQ INSTALL NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/gramps/
%{_datadir}/omf/gramps/
%{_datadir}/pixmaps/*
%{_libdir}/gramps/
%{_mandir}/man1/*
%exclude %{_datadir}/%{name}.desktop

%changelog
* Sun Feb 06 2005 Phillip Compton <pcompton[AT]proteinmedia.com - 1.0.10-1
- 1.0.10.

* Sun Nov 28 2004 Phillip Compton <pcompton[AT]proteinmedia.com - 1.0.8-3
- Version bump.

* Sat Nov 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com - 1.0.8-0.fdr.2
- Spec cleanup.

* Sat Nov 06 2004 Phillip Compton <pcompton[AT]proteinmedia.com - 1.0.8-0.fdr.1
- 1.0.8.

* Wed Aug 18 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.7-0.fdr.1
- Update to 1.0.7.

* Sat Jul 31 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.5-0.fdr.1
- Update to 1.0.5.

* Wed Jul 21 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.4-0.fdr.1
- Update to 1.0.4.

* Thu Apr 22 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.3-0.fdr.1
- Update to 1.0.3.

* Tue Apr 20 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2-0.fdr.2
- Dropped unneccessary BuildReqs.
- Removed Requires(foo,bar) notation.

* Tue Apr 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.2-0.fdr.1
- Update to 1.0.2.
- Using upstream desktop entry.

* Sat Feb 28 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0.1.0-0.fdr.1
- Update to 1.0.1.

* Mon Jan 12 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.98.0-0.fdr.1
- Update to 0.98.0.

* Sat Nov 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.5
- dropped smp_mflags.

* Fri Nov 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.4
- Req gnome-python2.

* Mon Nov 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.3
- BuildReq gnome-python2.

* Mon Nov 10 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.2
- Modifications to desktop entry.
- Reqs ImageMagick and rcs.

* Fri Oct 10 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.95-0.fdr.1
- Initial RPM release.
